MODULE_SPI_DRIVER(9)

NAME
module_spi_driver - Helper macro for registering a SPI driver

SYNOPSIS

module_spi_driver(__spi_driver);

ARGUMENTS

__spi_driver
    spi_driver struct

DESCRIPTION

Helper macro for SPI drivers which do not do anything special in module init/exit. This eliminates a lot of boilerplate. Each module may only use this macro once, and calling it replaces module_init and module_exit

COPYRIGHT